<?php get_header(); ?>

<div id="main">
  <div id="content">
    <?php if (have_posts()) : ?>
    <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
    <?php /* If this is a category archive */ if (is_category()) { ?>
    <h2 class="pagetitle">Archive for the &#8216;
      <?php single_cat_title(); ?>
      &#8217; Category</h2>
    <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
    <h2 class="pagetitle">Posts Tagged &#8216;
      <?php single_tag_title(); ?>
      &#8217;</h2>
    <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
    <h2 class="pagetitle">Archive for
      <?php the_time('F jS, Y'); ?>
    </h2>
    <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
    <h2 class="pagetitle">Archive for
      <?php the_time('F, Y'); ?>
    </h2>
    <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
    <h2 class="pagetitle">Archive for
      <?php the_time('Y'); ?>
    </h2>
    <?php /* If this is an author archive */ } elseif (is_author()) { ?>
    <h2 class="pagetitle">Author Archive</h2>
    <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
      <h2 class="pagetitle">Blog Archives</h2>
      <?php } ?>
    <?php while (have_posts()) : the_post(); ?>
    <div class="post" id="post-<?php the_ID() ?>">
      <div class="content_top">
        <div class="float_l"><span style="color:#FFF">
          <?php the_time(__('j')) ?>
          </span><br />
          <?php the_time(__('M')) ?>
        </div>
        <div class="float_r">
          <h3 class="title3"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>">
            <?php the_title(); ?>
            </a></h3>
          <div class="info"> <span class="cate"><?php printf(__(' %s', 'kubrick'), get_the_category_list(', ')); ?></span> <span class="coment">
            <?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
            </span> </div>
        </div>
      </div>
      <div class="entry">
        <?php the_content('Read more... ...'); ?>
        <?php edit_post_link('Edit this entry', '', ''); ?>
        <p class="postmetadata">
          <?php the_tags(__('Tags:', 'kubrick') . ' ', ', ', '<br />'); ?>
        </p>
      </div>
    </div>
    <?php endwhile; ?>
    <div class="post-link">
      <div class="float_l">
        <?php next_posts_link('&laquo; Older Entries') ?>
      </div>
      <div class="float_r">
        <?php previous_posts_link('Newer Entries &raquo;') ?>
      </div>
    </div>
    <?php else : ?>
    <?php include (TEMPLATEPATH . "/404.php"); ?>
    <?php endif; ?>
    <div class="content-foot"></div>
  </div>
  <?php include ('sidebar.php'); ?>
</div>
<?php get_footer(); ?>
